[Pkg-hpijs-devel] Bug#397440: Fwd: Accepted hplip 2.7.10-2 (source i386 all)

Henrique de Moraes Holschuh hmh at debian.org
Thu Nov 22 09:53:58 UTC 2007

On Thu, 22 Nov 2007, Fabian Greffrath wrote:
> well, I still think that 'hpijs-ppds | linuxprinting.org-ppds' should be 
> recommended to prevent people from downloading two huge (at least lp.o-ppds 
> is huge) packages when they most certainly will only need one of those.

The PPDs are not guaranteed to be the same.  And, frankly,
linuxprinting.org-ppds should remove the hpijs and hplip ppds from itself,
and let hpijs/hplip ship those.   The PPDs shipped by the hplip/hpijs
package are known to work well with that particular version of hplip/hpijs,
and yes, there have been incompatible changes before.

I don't know if the new packages do it yet, but the old hplip package did
some post-processing on the PPDs and normalized their names, too.

  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh

More information about the Pkg-hpijs-devel mailing list